<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Component property</title>
</head>
<body>

<main>
    <author-component :name="author"></author-component>
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>

    Vue.component('author-component', {
        props: ['name'],
        template: `<h2>{{ name }}</h2>`
    });

    new Vue({
        el: 'main',
        data: {
            author: 'Jose Florez'
        }
    })
</script>

</body>
</html>